diff --git a/base/server/src/engine/pkihelper.py b/base/server/src/engine/pkihelper.py
index e7735d8d37260d564d148842672bc31e6b42c638..df36583079cea16a0d199de3e0007bc7a1a12e12 100644
--- a/base/server/src/engine/pkihelper.py
+++ b/base/server/src/engine/pkihelper.py
@@ -581,8 +600,9 @@ class configuration_file:
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_ds_base_dn",
                         master['pki_user_deployment_cfg'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ds_base_dn",
+                                                                                         master['pki_user_deployment_cfg']))
                 if not master.has_key('pki_ds_ldap_port') or\
                    not len(master['pki_ds_ldap_port']):
                     # FUTURE:  Check for unused port value
@@ -592,8 +612,9 @@ class configuration_file:
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_ds_ldap_port",
                         master['pki_user_deployment_cfg'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ds_ldap_port",
+                                                                                         master['pki_user_deployment_cfg']))
                 if not master.has_key('pki_ds_ldaps_port') or\
                    not len(master['pki_ds_ldaps_port']):
                     # FUTURE:  Check for unused port value
@@ -603,8 +624,9 @@ class configuration_file:
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_ds_ldaps_port",
                         master['pki_user_deployment_cfg'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ds_ldaps_port",
+                                                                                         master['pki_user_deployment_cfg']))
                 # NOTE:  Although this will be checked prior to getting to
                 #        this method, this clone's 'pki_instance_name' MUST
                 #        be different from the master's 'pki_instance_name'
@@ -619,8 +641,9 @@ class configuration_file:
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_ajp_port",
                         master['pki_user_deployment_cfg'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_ajp_port",
+                                                                                         master['pki_user_deployment_cfg']))
                 if not master.has_key('pki_http_port') or\
                    not len(master['pki_http_port']):
                     # FUTURE:  Check for unused port value
@@ -630,8 +653,9 @@ class configuration_file:
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_http_port",
                         master['pki_user_deployment_cfg'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_http_port",
+                                                                                         master['pki_user_deployment_cfg']))
                 if not master.has_key('pki_https_port') or\
                    not len(master['pki_https_port']):
                     # FUTURE:  Check for unused port value
@@ -641,8 +665,9 @@ class configuration_file:
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_https_port",
                         master['pki_user_deployment_cfg'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_https_port",
+                                                                                         master['pki_user_deployment_cfg']))
                 if not master.has_key('pki_tomcat_server_port') or\
                    not len(master['pki_tomcat_server_port']):
                     # FUTURE:  Check for unused port value
@@ -652,38 +677,42 @@ class configuration_file:
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_tomcat_server_port",
                         master['pki_user_deployment_cfg'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_tomcat_server_port",
+                                                                                         master['pki_user_deployment_cfg']))
                 if not master.has_key('pki_clone_pkcs12_path') or\
                    not len(master['pki_clone_pkcs12_path']):
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_clone_pkcs12_path",
                         master['pki_user_deployment_cfg'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_clone_pkcs12_path",
+                                                                                         master['pki_user_deployment_cfg']))
                 elif not os.path.isfile(master['pki_clone_pkcs12_path']):
                     config.pki_log.error(
                         log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
                         master['pki_clone_pkcs12_path'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1 % "pki_clone_pkcs12_path")
                 if not master.has_key('pki_clone_replication_security') or\
                    not len(master['pki_clone_replication_security']):
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_clone_replication_security",
                         master['pki_user_deployment_cfg'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_clone_replication_security",
+                                                                                         master['pki_user_deployment_cfg']))
                 if not master.has_key('pki_clone_uri') or\
                    not len(master['pki_clone_uri']):
                     config.pki_log.error(
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_clone_uri",
                         master['pki_user_deployment_cfg'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_clone_uri",
+                                                                                         master['pki_user_deployment_cfg']))
             elif master['pki_subsystem'] == "CA" and\
                  config.str2bool(master['pki_external']):
                 if not master.has_key('pki_external_step_two') or\
@@ -692,8 +721,9 @@ class configuration_file:
                         log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                         "pki_external_step_two",
                         master['pki_user_deployment_cfg'],
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                    raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_extrenal_step_two",
+                                                                                          master['pki_user_deployment_cfg']))
                 if not config.str2bool(master['pki_external_step_two']):
                     # External CA (Step 1)
                     if not master.has_key('pki_external_csr_path') or\
@@ -702,15 +732,16 @@ class configuration_file:
                             log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                             "pki_external_csr_path",
                             master['pki_user_deployment_cfg'],
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        sys.exit(1)
+                            extra = config.PKI_INDENTATION_LEVEL_2)
+                        raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_extrenal_csr_path",
+                                                                                              master['pki_user_deployment_cfg']))
                     elif os.path.exists(master['pki_external_csr_path']) and\
                          not os.path.isfile(master['pki_external_csr_path']):
                         config.pki_log.error(
                             log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
                             master['pki_external_csr_path'],
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        sys.exit(1)
+                            extra = config.PKI_INDENTATION_LEVEL_2)
+                        raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % "pki_extrenal_csr_path")
                 else:
                     # External CA (Step 2)
                     if not master.has_key('pki_external_ca_cert_chain_path') or\
@@ -719,8 +750,9 @@ class configuration_file:
                             log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                             "pki_external_ca_cert_chain_path",
                             master['pki_user_deployment_cfg'],
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        sys.exit(1)
+                            extra = config.PKI_INDENTATION_LEVEL_2)
+                        raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_extrenal_ca_cert_chain_path",
+                                                                                              master['pki_user_deployment_cfg']))
                     elif os.path.exists(
                                  master['pki_external_ca_cert_chain_path']) and\
                          not os.path.isfile(
@@ -728,24 +760,25 @@ class configuration_file:
                         config.pki_log.error(
                             log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
                             master['pki_external_ca_cert_chain_path'],
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        sys.exit(1)
+                            extra = config.PKI_INDENTATION_LEVEL_2)
+                        raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % "pki_extrenal_ca_cert_chain_path")
                     if not master.has_key('pki_external_ca_cert_path') or\
                        not len(master['pki_external_ca_cert_path']):
                         config.pki_log.error(
                             log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                             "pki_external_ca_cert_path",
                             master['pki_user_deployment_cfg'],
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        sys.exit(1)
+                            extra = config.PKI_INDENTATION_LEVEL_2)
+                        raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % ("pki_extrenal_ca_cert_path",
+                                                                                              master['pki_user_deployment_cfg']))
                     elif os.path.exists(master['pki_external_ca_cert_path']) and\
                          not os.path.isfile(
                                  master['pki_external_ca_cert_path']):
                         config.pki_log.error(
                             log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
                             master['pki_external_ca_cert_path'],
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        sys.exit(1)
+                            extra = config.PKI_INDENTATION_LEVEL_2)
+                        raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % "pki_extrenal_ca_cert_path")
         return
 
     def populate_non_default_ports(self):
@@ -772,7 +805,7 @@ class configuration_file:
         if not bool(selinux.is_selinux_enabled()):
             config.pki_log.error(
                 log.PKIHELPER_SELINUX_DISABLED,
-                extra=config.PKI_INDENTATION_LEVEL_2)
+                extra = config.PKI_INDENTATION_LEVEL_2)
             return
 
         portrecs = seobject.portRecords().get_all()
@@ -799,28 +832,29 @@ class configuration_file:
                 config.pki_log.error(
                         log.PKIHELPER_INVALID_SELINUX_CONTEXT_FOR_PORT,
                         port, context,
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                sys.exit(1)
+                        extra = config.PKI_INDENTATION_LEVEL_2)
+                raise Exception(log.PKIHELPER_INVALID_SELINUX_CONTEXT_FOR_PORT % (port, context))
         return
 
     def verify_command_matches_configuration_file(self):
         # Silently verify that the command-line parameters match the values
         # that are present in the corresponding configuration file
         if master['pki_deployment_executable'] == 'pkidestroy':
-            if master['pki_deployed_instance_name'] !=\
+            if master['pki_deployed_instance_name'] != \
                master['pki_instance_name']:
                 config.pki_log.error(
                     log.PKIHELPER_COMMAND_LINE_PARAMETER_MISMATCH_2,
                     master['pki_deployed_instance_name'],
                     master['pki_instance_name'],
-                    extra=config.PKI_INDENTATION_LEVEL_2)
-                sys.exit(1)
+                    extra = config.PKI_INDENTATION_LEVEL_2)
+                raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % (master['pki_deployed_instance_name'],
+                                                                                      master['pki_instance_name']))
         return
 
 
 
 # PKI Deployment XML File Class
-#class xml_file:
+# class xml_file:
 #    def remove_filter_section_from_web_xml(self,
 #                                           web_xml_source,
 #                                           web_xml_target):
@@ -865,10 +899,10 @@ class instance:
                     rv = rv + 1
             config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCE_SUBSYSTEMS_2,
                                  master['pki_instance_path'],
-                                 rv, extra=config.PKI_INDENTATION_LEVEL_2)
+                                 rv, extra = config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             raise
         return rv
 
@@ -892,10 +926,10 @@ class instance:
             config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCES_2,
                                  master['pki_instance_type_registry_path'],
                                  rv,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             raise
         return rv
 
@@ -906,24 +940,24 @@ class instance:
             # SHOULD represent PKI instances, look for all possible
             # PKI instances within the top-level PKI infrastructure
             for instance in os.listdir(master['pki_path']):
-                if os.path.isdir(os.path.join(master['pki_path'],instance))\
+                if os.path.isdir(os.path.join(master['pki_path'], instance))\
                    and not\
-                   os.path.islink(os.path.join(master['pki_path'],instance)):
-                    dir = os.path.join(master['pki_path'],instance)
+                   os.path.islink(os.path.join(master['pki_path'], instance)):
+                    dir = os.path.join(master['pki_path'], instance)
                     # Since ANY directory within this PKI instance COULD
                     # be a PKI subsystem, look for all possible
                     # PKI subsystems within this PKI instance
                     for name in os.listdir(dir):
-                        if os.path.isdir(os.path.join(dir,name)) and\
-                           not os.path.islink(os.path.join(dir,name)):
+                        if os.path.isdir(os.path.join(dir, name)) and\
+                           not os.path.islink(os.path.join(dir, name)):
                             if name.upper() in config.PKI_SUBSYSTEMS:
                                 rv = rv + 1
             config.pki_log.debug(log.PKIHELPER_PKI_INSTANCE_SUBSYSTEMS_2,
                                  master['pki_instance_path'], rv,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             raise
         return rv
 
@@ -937,7 +971,7 @@ class instance:
                     rv.append(subsystem)
         except OSErr as e:
             config.pki_log.error(log.PKI_OSERROR_1, str(e),
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             raise
         return rv
 
@@ -961,10 +995,10 @@ class instance:
             config.pki_log.debug(log.PKIHELPER_TOMCAT_INSTANCES_2,
                                  master['pki_instance_type_registry_path'],
                                  rv,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             raise
         return rv
 
@@ -974,11 +1008,12 @@ class instance:
                 config.pki_log.error(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2,
                                      master['pki_subsystem'],
                                      master['pki_instance_name'],
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
-                sys.exit(1)
+                                     extra = config.PKI_INDENTATION_LEVEL_2)
+                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (master['pki_subsystem'],
+                                                                      master['pki_instance_name']))
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             raise
 
     def verify_subsystem_does_not_exist(self):
@@ -987,33 +1022,34 @@ class instance:
                 config.pki_log.error(log.PKI_SUBSYSTEM_ALREADY_EXISTS_2,
                                      master['pki_subsystem'],
                                      master['pki_instance_name'],
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
-                sys.exit(1)
+                                     extra = config.PKI_INDENTATION_LEVEL_2)
+                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (master['pki_subsystem'],
+                                                                      master['pki_instance_name']))
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             raise
 
     def get_instance_status(self):
         self.connection = pki.client.PKIConnection(
-            protocol='https',
-            hostname=master['pki_hostname'],
-            port=master['pki_https_port'],
-            subsystem=master['pki_subsystem_type'],
+            protocol = 'https',
+            hostname = master['pki_hostname'],
+            port = master['pki_https_port'],
+            subsystem = master['pki_subsystem_type'],
             accept = 'application/xml')
 
         try:
             client = pki.system.SystemStatusClient(self.connection)
             response = client.getStatus()
             config.pki_log.debug(response,
-                extra=config.PKI_INDENTATION_LEVEL_3)
+                extra = config.PKI_INDENTATION_LEVEL_3)
 
             root = ET.fromstring(response)
             status = root.findtext("Status")
             return status
         except requests.exceptions.ConnectionError:
             config.pki_log.debug("No connection",
-                extra=config.PKI_INDENTATION_LEVEL_3)
+                extra = config.PKI_INDENTATION_LEVEL_3)
             return None
 
     def wait_for_startup(self, timeout):
@@ -1029,18 +1065,18 @@ class instance:
 
 # PKI Deployment Directory Class
 class directory:
-    def create(self, name, uid=None, gid=None,
-               perms=config.PKI_DEPLOYMENT_DEFAULT_DIR_PERMISSIONS,
-               acls=None, critical_failure=True):
+    def create(self, name, uid = None, gid = None,
+               perms = config.PKI_DEPLOYMENT_DEFAULT_DIR_PERMISSIONS,
+               acls = None, critical_failure = True):
         try:
             if not os.path.exists(name):
                 # mkdir -p <name>
                 config.pki_log.info(log.PKIHELPER_MKDIR_1, name,
-                                    extra=config.PKI_INDENTATION_LEVEL_2)
+                                    extra = config.PKI_INDENTATION_LEVEL_2)
                 os.makedirs(name)
                 # chmod <perms> <name>
                 config.pki_log.debug(log.PKIHELPER_CHMOD_2, perms, name,
-                                     extra=config.PKI_INDENTATION_LEVEL_3)
+                                     extra = config.PKI_INDENTATION_LEVEL_3)
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
@@ -1049,7 +1085,7 @@ class directory:
                     gid = identity.get_gid()
                 config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                      uid, gid, name,
-                                     extra=config.PKI_INDENTATION_LEVEL_3)
+                                     extra = config.PKI_INDENTATION_LEVEL_3)
                 os.chown(name, uid, gid)
                 # Store record in installation manifest
                 record = manifest.record()
@@ -1065,38 +1101,38 @@ class directory:
             elif not os.path.isdir(name):
                 config.pki_log.error(
                     log.PKI_DIRECTORY_ALREADY_EXISTS_NOT_A_DIRECTORY_1, name,
-                    extra=config.PKI_INDENTATION_LEVEL_2)
+                    extra = config.PKI_INDENTATION_LEVEL_2)
                 if critical_failure == True:
-                    sys.exit(1)
+                    raise Exception(log.PKI_DIRECTORY_ALREADY_EXISTS_NOT_A_DIRECTORY_1 % name)
         except OSError as exc:
             if exc.errno == errno.EEXIST:
                 pass
             else:
                 config.pki_log.error(log.PKI_OSERROR_1, exc,
-                                     extra=config.PKI_INDENTATION_LEVEL_2)
+                                     extra = config.PKI_INDENTATION_LEVEL_2)
                 if critical_failure == True:
                     raise
         return
 
-    def modify(self, name, uid=None, gid=None,
-               perms=config.PKI_DEPLOYMENT_DEFAULT_DIR_PERMISSIONS,
-               acls=None, silent=False, critical_failure=True):
+    def modify(self, name, uid = None, gid = None,
+               perms = config.PKI_DEPLOYMENT_DEFAULT_DIR_PERMISSIONS,
+               acls = None, silent = False, critical_failure = True):
         try:
             if os.path.exists(name):
                 if not os.path.isdir(name):
                     config.pki_log.error(
                         log.PKI_DIRECTORY_ALREADY_EXISTS_NOT_A_DIRECTORY_1,
-                        name, extra=config.PKI_INDENTATION_LEVEL_2)
+                        name, extra = config.PKI_INDENTATION_LEVEL_2)
                     if critical_failure == True:
-                        sys.exit(1)
+                        raise Exception(log.PKI_DIRECTORY_ALREADY_EXISTS_NOT_A_DIRECTORY_1 % name)
                 # Always re-process each directory whether it needs it or not
                 if not silent:
                     config.pki_log.info(log.PKIHELPER_MODIFY_DIR_1, name,
-                                        extra=config.PKI_INDENTATION_LEVEL_2)
+                                        extra = config.PKI_INDENTATION_LEVEL_2)
                 # chmod <perms> <name>
                 if not silent:
                     config.pki_log.debug(log.PKIHELPER_CHMOD_2, perms, name,
-                                         extra=config.PKI_INDENTATION_LEVEL_3)
+                                         extra = config.PKI_INDENTATION_LEVEL_3)
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
                 if uid == None:
@@ -1106,7 +1142,7 @@ class directory:
                 if not silent:
                     config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                          uid, gid, name,
-                                         extra=config.PKI_INDENTATION_LEVEL_3)
+                                         extra = config.PKI_INDENTATION_LEVEL_3)
                 os.chown(name, uid, gid)
                 # Store record in installation manifest
                 if not silent:
@@ -1123,37 +1159,37 @@ class directory:
             else:
                 config.pki_log.error(
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, name,
-                    extra=config.PKI_INDENTATION_LEVEL_2)
+                    extra = config.PKI_INDENTATION_LEVEL_2)
                 if critical_failure == True:
-                    sys.exit(1)
+                    raise Exception(log.PKI_DIRECTORY_NISSING_OR_NOT_A_DIRECTORY_1 % name)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             if critical_failure == True:
                 raise
         return
 
-    def delete(self, name, recursive_flag=True, critical_failure=True):
+    def delete(self, name, recursive_flag = True, critical_failure = True):
         try:
             if not os.path.exists(name) or not os.path.isdir(name):
                 # Simply issue a warning and continue
                 config.pki_log.warning(
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, name,
-                    extra=config.PKI_INDENTATION_LEVEL_2)
+                    extra = config.PKI_INDENTATION_LEVEL_2)
             else:
                 if recursive_flag == True:
                     # rm -rf <name>
                     config.pki_log.info(log.PKIHELPER_RM_RF_1, name,
-                                        extra=config.PKI_INDENTATION_LEVEL_2)
+                                        extra = config.PKI_INDENTATION_LEVEL_2)
                     shutil.rmtree(name)
                 else:
                     # rmdir <name>
                     config.pki_log.info(log.PKIHELPER_RMDIR_1, name,
-                                        extra=config.PKI_INDENTATION_LEVEL_2)
+                                        extra = config.PKI_INDENTATION_LEVEL_2)
                     os.rmdir(name)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
-                                 extra=config.PKI_INDENTATION_LEVEL_2)
+                                 extra = config.PKI_INDENTATION_LEVEL_2)
             if critical_failure == True:
                 raise
         return
